From mdharm@multivac.one-eyed-alien.net Mon Apr 25 21:47:23 2005
Date: Mon, 25 Apr 2005 21:46:29 -0700
From: Matthew Dharm <mdharm-usb@one-eyed-alien.net>
To: USB Developers <linux-usb-devel@lists.sourceforge.net>,
   USB Storage List <usb-storage@lists.one-eyed-alien.net>,
   Greg KH <greg@kroah.com>
Subject: USB Storage: fix compile error


This patch fixes a compiler error caused by a missing prototype.  It should
apply directly to Greg KH's usb-2.6.git tree.

Signed-off-by: Matthew Dharm <mdharm-usb@one-eyed-alien.net>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

--- k/drivers/usb/storage/debug.c
+++ l/drivers/usb/storage/debug.c
@@ -47,6 +47,7 @@
 #include <linux/cdrom.h>
 #include <scsi/scsi.h>
 #include <scsi/scsi_cmnd.h>
+#include <scsi/scsi_dbg.h>
 
 #include "debug.h"
 #include "scsi.h"

-- 
Matthew Dharm                              Home: mdharm-usb@one-eyed-alien.net 
Maintainer, Linux USB Mass Storage Driver

G:  Let me guess, you started on the 'net with AOL, right?
C:  WOW! d00d! U r leet!
					-- Greg and Customer 
User Friendly, 2/12/1999

